Request

Response

    Get the updated jobs in a queue
    GET

    queues/{queueId}/jobs:updates

    Get the jobs in the specified queue that have been updated since the last call. Use the special value @default for the queue ID to target the default queue.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/flow/compute/v1/queues/{queueId}/jobs:updates
    Authentication Context
    user context optional
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow.
    region
    string
    The region targeted by the request. The usage of this header is recommended for faster processing. The region specified must match the region in which the targeted job queue was created or else the request will fail.
    * Required

    Request

    URI Parameters

    queueId
    string
    The queue ID. Use the special ID @default to indicate the default queue for the user or client app.

    Request

    Query String Parameters

    after
    datetime: ISO 8601
    A timestamp in ISO 8601 format used to indicate that only results after this time are interesting.
    before
    datetime: ISO 8601
    A timestamp in ISO 8601 format used to indicate that only results before this time are interesting.
    paginationToken
    string
    Job pagination token. This parameter should not be specified manually; instead, the complete nextUrl should be used to retrieve the next set of jobs. It is documented here for completeness.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    Bad request - indicates an incorrectly structured or otherwise incorrect request.
    401
    Unauthorized
    Unauthorized - credentials are invalid or not provided in the request
    403
    Forbidden
    Forbidden - the user or client does not have the required privileges to access this resource
    404
    Not Found
    The specified resource was not found

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    Provides additional information that can be used when iterating over results that are too large to fit into one response. In such cases, the pagination information indicates how to retrieve the next set of results and when done. Note that not all information in the pagination object is guaranteed to be present. For more details, refer to the developer guide.
    limit
    int
    If present, indicates the limit that was used when the request was made
    totalResults
    int
    If present, indicates the total number of results that are available.
    nextUrl
    string
    If present, this URL can be used to get the next set of results. The URL can be used as-is without modification. The URL will include the paginationToken already. If this property is not present, that indicates that there are no more results that can be retrieved.
    previousUrl
    string
    If present, this URL can be used to get the previous set of results. The URL can be used as-is without modification. The URL will include the paginationToken already. If this property is not present, that indicates that the API does not provide this functionality for this endpoint.
    results
    array: object
    Contains the list of jobs in this response. Note that the list of jobs is truncated if too large to provide in one response. In this case, the pagination object will contain a nextUrl that can be used to get more results.
    createdAt
    datetime: ISO 8601
    The date and time of creation in ISO 8601 format (UTC)
    updatedAt
    datetime: ISO 8601
    The date and time of the last update in ISO 8601 format (UTC)
    startedAt
    datetime: ISO 8601
    The date and time when processing started in ISO 8601 format (UTC)
    endedAt
    datetime: ISO 8601
    The date and time when processing completed in ISO 8601 format (UTC)
    error
    object
    Information about an error encountered while executing a task
    details
    object
    message
    string
    A text representation of the error.
    id
    string
    A unique ID for a specific job

    Max length: 1024

    name
    string
    The user-provided name of the job.

    Max length: 200

    progress
    object
    Provides information about the progress of a task.
    percent
    number
    Indicates the percentage complete for a task.

    Note: The percentage complete is an indication only and should not be used to determine whether a task is entirely completed or not - use the status for this instead.

    details
    object
    Executor-specific additional progress details.
    stats
    object
    tasks
    object
    Statistics relating to the number of task executions in a job or within a task execution that can result in multiple task executions.
    canceled
    int
    The number of canceled task executions currently known.
    failed
    int
    The number of failed task executions currently known.
    running
    int
    The number of running task executions currently known.
    scheduled
    int
    The number of scheduled task executions currently known.
    succeeded
    int
    The number of succeeded task executions currently known.
    total
    int
    The total number of task executions currently known.
    waiting
    int
    The number of waiting task executions currently known.
    results
    object
    The results from a task.
    details
    object
    Executor-specific task result details.
    status
    enum:string
    Specifies the status of a task/job Possible values: CREATED, WAITING, SCHEDULED, RUNNING, SUCCEEDED, FAILED, CANCELED
    tags
    array: string
    A list of user-provided tags
    updatedAt
    datetime: ISO 8601
    The date and time of the last update in ISO 8601 format (UTC)

    Example

    This example get the list of jobs updated after 2024-04-26T18:32:37.109Z.

    Request

    curl -v 'https://developer.api.autodesk.com/flow/compute/v1/queues/@default/jobs:updates?after=2024-04-26T18:32:37.109Z' \
      -X 'GET' \
      -H 'Authorization: Bearer eyJhbGciO...' \
    

    Response

    {
      "results": [
        {
          "createdAt": "2024-04-26T18:32:28.970Z",
          "endedAt": "2024-04-26T18:33:16.978Z",
          "id": "e062f0dc-7c52-493d-9f80-62d490b50d41",
          "name": "my sample app job",
          "results": {
            "details": {
              "stats": {
                "tasks": {
                  "running": 0,
                  "scheduled": 0,
                  "succeeded": 1,
                  "total": 1
                }
              }
            }
          },
          "status": "SUCCEEDED",
          "tags": [
            "sample app"
          ],
          "updatedAt": "2024-04-26T18:33:16.978Z"
        },
        {
          "createdAt": "2024-04-26T18:33:43.647Z",
          "endedAt": "2024-04-26T18:35:01.137Z",
          "id": "7991e9cb-80c4-4942-abf3-a5d2164152af",
          "name": "my sample app job",
          "results": {
            "details": {
              "stats": {
                "tasks": {
                  "canceled": 1,
                  "scheduled": 0,
                  "total": 1
                }
              }
            }
          },
          "status": "CANCELED",
          "tags": [
            "sample app"
          ],
          "updatedAt": "2024-04-26T18:35:01.137Z"
        },
        {
          "createdAt": "2024-04-26T19:23:55.897Z",
          "endedAt": "2024-04-26T19:26:18.725Z",
          "id": "8167aec1-c057-423a-8256-5b5883477d91",
          "name": "my sample app job",
          "results": {
            "details": {
              "stats": {
                "tasks": {
                  "canceled": 1,
                  "scheduled": 0,
                  "total": 1
                }
              }
            }
          },
          "status": "CANCELED",
          "tags": [
            "sample app"
          ],
          "updatedAt": "2024-04-26T19:26:18.725Z"
        },
        {
          "createdAt": "2024-04-26T19:31:25.870Z",
          "endedAt": "2024-04-26T19:32:33.003Z",
          "id": "686389ec-1df5-4146-94e1-bed6ff590ac9",
          "name": "my sample app job",
          "results": {
            "details": {
              "stats": {
                "tasks": {
                  "running": 0,
                  "scheduled": 0,
                  "succeeded": 1,
                  "total": 1
                }
              }
            }
          },
          "status": "SUCCEEDED",
          "tags": [
            "sample app"
          ],
          "updatedAt": "2024-04-26T19:32:33.003Z"
        }
      ],
      "updatedAt": "2024-04-26T19:32:33.003Z"
    }
    
    Show More